Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class IEEECK

    java.lang.Object
      org.netlib.lapack.IEEECK

    public class IEEECK

extends java.lang.Object

    IEEECK is a simplified interface to the JLAPACK routine ieeeck.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  IEEECK is called from the ILAENV to verify that Infinity and
     *  possibly NaN arithmetic is safe (i.e. will not trap).
     *
     *  Arguments
     *  =========
     *
     *  ISPEC   (input) INTEGER
     *          Specifies whether to test just for inifinity arithmetic
     *          or whether to test for infinity and NaN arithmetic.
     *          = 0: Verify infinity arithmetic only.
     *          = 1: Verify infinity and NaN arithmetic.
     *
     *  ZERO    (input) REAL
     *          Must contain the value 0.0
     *          This is passed to prevent the compiler from optimizing
     *          away this code.
     *
     *  ONE     (input) REAL
     *          Must contain the value 1.0
     *          This is passed to prevent the compiler from optimizing
     *          away this code.
     *
     *  RETURN VALUE:  INTEGER
     *          = 0:  Arithmetic failed to produce the correct answers
     *          = 1:  Arithmetic produced the correct answers
     *
     *     .. Local Scalars ..

Constructor Summary
`IEEECK()`

Method Summary
`static int` | `IEEECK(int ispec, float zero, float one)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IEEECK

    public IEEECK()

Method Detail

### IEEECK

    public static int IEEECK(int ispec,
                             float zero,
                             float one)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD